#include "partition.h"
#include <algorithm>
using namespace std;

#define MAXN 2000000

vector<int> sol;
bool found;
int n;
void bkt(int k,long long sum){
  if(found){
    return;
  }

  if(sum>=(1LL<<(n-1))){
    found=true;
    return;
  }

  if(k<n){
    for(int i=0;i<n;i++){
      if(!(sum&(1<<i))){
        sol.push_back(i);
        bkt(k+1,sum+(1<<i));
        if(found){
          return;
        }
        sol.pop_back();
      }
    }
  }
}

vector<int> solve(vector<int> A){
  n=A.size();
  int i;

  // sol.clear();
  // found=false;
  // bkt(0,0LL);

  sol.clear();
  for(int i=0;i<n;i++){
    sol.push_back(i);
  }

  return sol;
}